Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.server
Class PortComponentLinkServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.jboss.webservice.server.PortComponentLinkServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class PortComponentLinkServlet
extends javax.servlet.http.HttpServlet

A servlet that reports the serviceURL for a given service ID.

See `AxisService` for details on the registry of `PortComponentInfo` objects.

When the web service client ENC is setup, it may contain port-component-link entries that point to service endpoints in the same top level deployment. The final serviceURL of those endpoints will become available after the reference to the javax.xml.rpc.Service is bound to JNDI.

When the client does a lookup of the javax.xml.rpc.Service from JNDI the ObjectFactory will contact this servlet for the final serviceURL. It is acceptable that the client wsdl does not contain the correct serviceURL if the client is using the port-component-link element.

Since:
  29-May-2004
Author:
  Thomas.Diesler@jboss.org
See Also:
  Serialized Form

Constructor Summary
`PortComponentLinkServlet()`

Method Summary
`protected void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Get the serviceURL as string for a given serviceID.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortComponentLinkServlet

    public PortComponentLinkServlet()

Method Detail

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest req,
                         javax.servlet.http.HttpServletResponse res)
                  throws javax.servlet.ServletException,
                         IOException

  Get the serviceURL as string for a given serviceID.

  Throws:
    `javax.servlet.ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.